## DhNotebook DhNotebook — Subclass of GtkNotebook |

## Functions

DhNotebook * | dh_notebook_new ()
DhProfile * | dh_notebook_get_profile ()
void | dh_notebook_open_new_tab ()
DhTab * | dh_notebook_get_active_tab ()
DhWebView * | dh_notebook_get_active_web_view ()
GList * | dh_notebook_get_all_web_views ()

## Properties

DhProfile * | profile | Read / Write / Construct Only

## Types and Values

struct | DhNotebook

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkNotebook
                        ╰── DhNotebook

## Implemented Interfaces

DhNotebook implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <devhelp/devhelp.h>

## Description

DhNotebook is a subclass of GtkNotebook. The content of the tabs are DhTab's, and the tab labels are DhTabLabel's.

DhNotebook handles the “open-new-tab” signal by appending a new DhTab.

## Functions

### dh_notebook_new ()

    DhNotebook *
    dh_notebook_new (DhProfile *profile);

#### Parameters

profile | a DhProfile, or `NULL` for the default profile. | [nullable]

#### Returns

a new DhNotebook.

[transfer floating]

Since: 3.30

### dh_notebook_get_profile ()

    DhProfile *
    dh_notebook_get_profile (DhNotebook *notebook);

#### Parameters

notebook | a DhNotebook. |

#### Returns

the “profile”.

[transfer none]

Since: 3.30

### dh_notebook_open_new_tab ()

    void
    dh_notebook_open_new_tab (DhNotebook *notebook,
                              const gchar *uri,
                              gboolean switch_focus);

Creates a new DhTab and DhTabLabel and appends them to the GtkNotebook.

The DhWebView will have the same DhProfile as `notebook` .

#### Parameters

notebook | a DhNotebook. |
uri | the URI to open, or `NULL` for a blank page. | [nullable]
switch_focus | whether to call `gtk_notebook_set_current_page()` on the new tab. |

Since: 3.30

### dh_notebook_get_active_tab ()

    DhTab *
    dh_notebook_get_active_tab (DhNotebook *notebook);

#### Parameters

notebook | a DhNotebook. |

#### Returns

the DhTab currently shown in `notebook` .

[transfer none][nullable]

Since: 3.30

### dh_notebook_get_active_web_view ()

    DhWebView *
    dh_notebook_get_active_web_view (DhNotebook *notebook);

#### Parameters

notebook | a DhNotebook. |

#### Returns

the DhWebView of the active tab.

[transfer none][nullable]

Since: 3.30

### dh_notebook_get_all_web_views ()

    GList *
    dh_notebook_get_all_web_views (DhNotebook *notebook);

#### Parameters

notebook | a DhNotebook. |

#### Returns

a GList of all DhWebView's contained in `notebook` .

[transfer container][element-type DhWebView]

Since: 3.30

## Types and Values

### struct DhNotebook

    struct DhNotebook;

## Property Details

### The `“profile”` property

      “profile”                  DhProfile *

The DhProfile. If set to `NULL`, the default profile as returned by `dh_profile_get_default()` is used.

Flags: Read / Write / Construct Only

Since: 3.30